summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2011-03-14 23:54:08 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-03-20 14:08:08 -0500
commite8edfa8665f137c3fafcf6b6501898779b59608d (patch)
tree6281bca815ebcb9c0eed158d7da09461823bc320 /graphics
parent9848f9752706f7cc20372b4c9031f6c93a494596 (diff)
downloadslackbuilds-e8edfa8665f137c3fafcf6b6501898779b59608d.tar.gz
slackbuilds-e8edfa8665f137c3fafcf6b6501898779b59608d.tar.xz
graphics/fontforge: Updated for version 20110222.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/fontforge/README2
-rw-r--r--graphics/fontforge/fontforge.SlackBuild14
-rw-r--r--graphics/fontforge/fontforge.info10
3 files changed, 13 insertions, 13 deletions
diff --git a/graphics/fontforge/README b/graphics/fontforge/README
index d8c6179382..83808617f7 100644
--- a/graphics/fontforge/README
+++ b/graphics/fontforge/README
@@ -4,6 +4,6 @@ NFNT) fonts, or edit existing ones. It also lets you convert one format to
another. FontForge has support for many Macintosh font formats.
You can specify an alternate version of freetype on the command line when
-running the script with e.g. FREETYPE=2.3.12 ./fontforge.SlackBuild
+running the script with e.g. FREETYPE=2.4.5 ./fontforge.SlackBuild
but you will need to manually place that freetype tarball in the slackbuild
directory.
diff --git a/graphics/fontforge/fontforge.SlackBuild b/graphics/fontforge/fontforge.SlackBuild
index ccb3d7a28f..c000ae00a3 100644
--- a/graphics/fontforge/fontforge.SlackBuild
+++ b/graphics/fontforge/fontforge.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for fontforge
-# Copyright 2006,2007,2008,2009,2010 Robby Workman Northport, Alabama, USA
+# Copyright 2006-20110 Robby Workman Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,12 +23,12 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=fontforge
-VERSION=20100501
+VERSION=20110222
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-ENABLE_BCINT=${ENABLE_BCINT:-no}
-FREETYPE=${FREETYPE:-"2.3.12"}
+ENABLE_BCINT=${ENABLE_BCINT:-yes}
+FREETYPE=${FREETYPE:-"2.4.4"}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -66,7 +66,7 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION freetype-$FREETYPE
tar xvf $CWD/${PRGNAM}_full-${VERSION}.tar.bz2
-tar xvf $CWD/freetype-$FREETYPE.tar.xz
+tar xvf $CWD/freetype-$FREETYPE.tar.bz2
chown -R root:root $PRGNAM-$VERSION freetype-$FREETYPE
chmod -R u+w,go+r-w,a-s $PRGNAM-$VERSION freetype-$FREETYPE
cd $PRGNAM-$VERSION
@@ -97,8 +97,8 @@ tar xvf $CWD/cidmaps.tgz -C $PKG/usr/share/fontforge || exit 1
chmod 0644 $PKG/usr/share/fontforge/*.cidmap
chown root:root $PKG/usr/share/fontforge/*.cidmap
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
diff --git a/graphics/fontforge/fontforge.info b/graphics/fontforge/fontforge.info
index 0608749dc1..1ce36da926 100644
--- a/graphics/fontforge/fontforge.info
+++ b/graphics/fontforge/fontforge.info
@@ -1,12 +1,12 @@
PRGNAM="fontforge"
-VERSION="20100501"
+VERSION="20110222"
HOMEPAGE="http://fontforge.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/fontforge/fontforge_full-20100501.tar.bz2 \
+DOWNLOAD="http://downloads.sourceforge.net/fontforge/fontforge_full-20110222.tar.bz2 \
http://fontforge.sf.net/cidmaps.tgz \
- http://slackware.osuosl.org/slackware-13.1/source/l/freetype/freetype-2.3.12.tar.xz"
-MD5SUM="5f3d20d645ec1aa2b7b4876386df8717 \
+ http://slackware.osuosl.org/slackware-13.37/source/l/freetype/freetype-2.4.4.tar.bz2"
+MD5SUM="5be4dda345b5d73a27cc399df96e463a \
063691163e592515b31514515bb3ce8c \
- e8f60e286eaa492bb766f17241972626"
+ b3e2b6e2f1c3e0dffa1fd2a0f848b671"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Robby Workman"